Alternative to EDIT_BOX

Discussion in 'AutoCAD' started by iwafb, Mar 6, 2005.

  1. iwafb

    iwafb Guest

    Hi all,

    Is there a EDIT_BOX type function that allows the user to input several lines of text (paragraph) instead of just one line?

    Thanks
    John
     
    iwafb, Mar 6, 2005
    #1
  2. Laurie Comerford, Mar 6, 2005
    #2
  3. iwafb

    Walt Engle Guest

    Also DTEXT.
     
    Walt Engle, Mar 7, 2005
    #3
  4. Look into OBJECTDCL over here:

    www.objectdcl.com

    And study the textbox control, basically the property of "Multi Line String"...

    hth
     
    Luis Esquivel, Mar 7, 2005
    #4
  5. iwafb

    iwafb Guest

    Thanks Luis,

    Do you currently use it?

    It looks pretty involved, was it easy to learn?

    John
     
    iwafb, Mar 7, 2005
    #5
  6. I have done a lot of dialog interfaces with objectdcl....

    and yes is easy to use... they have various code samples for each control... and here there are some programmers that have mastering the use of objectDCL...
     
    Luis Esquivel, Mar 7, 2005
    #6
  7. iwafb

    James Buzbee Guest

    Check out the CF NG for some recent examples. If you want something more
    specific let me know and I'll see if have anything you can use.

    jb
     
    James Buzbee, Mar 7, 2005
    #7
  8. I think he's referring to entering multiple lines of text
    into a dialog box control, not drawing text.
     
    Tony Tanzillo, Mar 7, 2005
    #8
  9. iwafb

    BTO Guest

    Hi,

    yes from Express Tools, take a look at :
    http://www.afralisp.com/lisp/acet-utils.htm

    "
    (acet-ui-txted [text [caption [note]]])
    Display a multi-line text editing dialog.

    Arguments
    text: If provided, a text string to be displayed as the initial contents.
    Lines can be separated with "\r\n" sequences.
    caption: If provided, text to be used as the dialog caption.
    note: If provided, an additional text string to be displayed above the text
    editing control.

    Return Values
    A string containing the text contents if the user presses the OK button, or
    nil if the user presses the Cancel button.

    Library: acetutil.arx

    "

    Bruno Toniutti
     
    BTO, Mar 8, 2005
    #9
  10. iwafb

    Gary Fowler Guest

    I never played around much with these express funtions before.
    Here is a rough routine I just tried out.

    Has anyone got any examples they want to share, that use any
    of the express functions?

    Gary

    Code:
    (defun ARCH:AUTOCAD-V_15  ()
    (if (/= (findfile (strcat ARCH#SUPF "V_15\\acetutil.arx")) nil)
    (progn (load (strcat ARCH#SUPF "V_15\\acetutil.fas"))
    (load (strcat ARCH#SUPF "V_15\\acetutil2.fas"))
    (load (strcat ARCH#SUPF "V_15\\acetutil3.fas"))
    (load (strcat ARCH#SUPF "V_15\\acetutil4.fas"))
    (if (not (member "acetutil.arx" (arx)))
    (arxload (findfile (strcat ARCH#SUPF "V_15\\acetutil.arx"))))))
    (princ))
    (defun ARCH:AUTOCAD-V_16  ()
    (if (/= (findfile (strcat ARCH#SUPF "V_16\\acetutil.arx")) nil)
    (progn (load (strcat ARCH#SUPF "V_16\\acetutil.fas"))
    (load (strcat ARCH#SUPF "V_16\\acetutil2.fas"))
    (load (strcat ARCH#SUPF "V_16\\acetutil3.fas"))
    (load (strcat ARCH#SUPF "V_16\\acetutil4.fas"))
    (if (not (member "acetutil.arx" (arx)))
    (arxload (findfile (strcat ARCH#SUPF "V_16\\acetutil.arx"))))))
    (princ))
    (defun ARCH:EXPRESS-TOOLS  ()
    (if (not ACET-ERROR-INIT)
    (cond ((and (>= (distof (substr (getvar "acadver") 1 4)) 15.0)
    (< (distof (substr (getvar "acadver") 1 4)) 16.0))
    (ARCH:AUTOCAD-V_15))
    ((>= (distof (substr (getvar "acadver") 1 4)) 16.0)
    (ARCH:AUTOCAD-V_16))))
    (princ))
    
    (defun c:NOTE (/ pt1 pt2 ntext ncaption nnote)
    ;;(ARCH:F_S-VAR)
    ;;(C:MTLS)
    ;;(ARCH:SET-NOTES)
    ;;(ARCH:CUSTOM_LAYERS-ANNO)
    (ARCH:EXPRESS-TOOLS)
    (setq ntext "")
    (setq ncaption (strcat ARCH#LOGO " : Message"))
    (setq nnote "Type in Message")
    (setq nresult (acet-ui-txted ntext ncaption nnote))
    (setq pt1 (getpoint "\n* Pick Insetion point *"))
    (setq pt2 (polar pt1 0 (* 12 (getvar "dimscale"))))
    (command "_.mtext" pt1 pt2 (strcase NRESULT) "")
    (command "explode" (entlast))
    ;;(ARCH:F_R-VAR)
    (princ)
    )
    
     
    Gary Fowler, Mar 10, 2005
    #10
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.